package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.FeedBackDTO;
import com.chelvc.cloud.vehicle.api.param.FeedBackModifyParam;

/**
 * 意见反馈接口
 *
 * @author liude
 * @data 2024/1/12
 */
public interface FeedbackService {

    /**
     * 新增意见反馈
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addFeedback(FeedBackModifyParam param);

    /**
     * 修改意见反馈
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateFeedback(Long id, FeedBackModifyParam param);

    /**
     * 获取意见反馈信息
     * @return
     */
    FeedBackDTO getFeedback();
}
