package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 意见反馈回复数据模型
 *
 * @author liude
 * @data 2023/1/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FeedBackReply implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 意见反馈id
     */
    private Long feedbackId;

    /**
     * 回复内省 1-答复 2-提出人反馈
     */
    private String replyType;

    /**
     * 内容
     */
    private String content;
    /**
     * 创建人
     */
    private Long creator;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 是否已提醒 0-否 1- 是
     */
    private String readed;

}
