package com.chelvc.cloud.vehicle.server.service.impl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.FeedBackDTO;
import com.chelvc.cloud.vehicle.api.param.FeedBackModifyParam;
import com.chelvc.cloud.vehicle.server.copier.FeedbackCopier;
import com.chelvc.cloud.vehicle.server.dao.FeedbackMapper;
import com.chelvc.cloud.vehicle.server.entity.FeedBack;
import com.chelvc.cloud.vehicle.server.service.FeedbackService;
import com.chelvc.framework.base.context.SessionContextHolder;
import com.chelvc.framework.base.util.ResourceUtils;
import lombok.NonNull;
import org.apache.dubbo.config.annotation.DubboService;

/**
 * 意见反馈业务操作实现
 *
 * @author liude
 * @date 2024/1/16
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.FeedbackService.class)
public class FeedbackServiceImpl extends ServiceImpl<FeedbackMapper, FeedBack> implements FeedbackService,
        com.chelvc.cloud.vehicle.api.service.FeedbackService {
    @Override
    public Long addFeedback(@NonNull FeedBackModifyParam param) {
        FeedBack feedBack = FeedbackCopier.INSTANCE.copying(param);
        this.save(feedBack);
        return feedBack.getId();
    }

    @Override
    public void updateFeedback(@NonNull Long id, @NonNull FeedBackModifyParam param) {
        FeedBack feedBack = ResourceUtils.required(this.getById(id), "该意见反馈不存在");
        FeedbackCopier.INSTANCE.copying(param, feedBack);
        this.updateById(feedBack);
    }
    @Override
    public FeedBackDTO getFeedback(){
        Long userId = SessionContextHolder.getId();
        FeedBack feedBack = this.lambdaQuery()
                .eq(FeedBack::getUserId, userId).one();
        return FeedbackCopier.INSTANCE.copying(feedBack);
    }

 }
